## org.exist.xmldb.test
Class DOMTest

    java.lang.Object
      org.exist.xmldb.test.DOMTest

public class DOMTest
extends java.lang.Object

Author:
  jmv

Nested Class Summary
`static class` `DOMTest.SAXHandler`

Constructor Summary
`DOMTest()`

Method Summary
`static void` `main(java.lang.String[] args)`
`void` `runTest1()` - Storing XML resource from XML string - simple XQuery - removing resource - shutdown with the DatabaseInstanceManager
`void` `runTest2()` - create and fill a simple document via DOM and JAXP - store it with setContentAsDOM() - simple access via getContentAsDOM()
`void` `runTest3()` like test 2 but add attribute and text as well
`void` `runTest4(boolean getContentAsDOM)` like test 3 but uses the DOM as input to an (identity) XSLT transform

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMTest

    public DOMTest()

Method Detail

### main

    public static void main(java.lang.String[] args)

### runTest1

    public void runTest1()

  - Storing XML resource from XML string - simple XQuery - removing resource - shutdown with the DatabaseInstanceManager

### runTest2

    public void runTest2()

  - create and fill a simple document via DOM and JAXP - store it with setContentAsDOM() - simple access via getContentAsDOM()

### runTest3

    public void runTest3()

  like test 2 but add attribute and text as well

### runTest4

    public void runTest4(boolean getContentAsDOM)

  like test 3 but uses the DOM as input to an (identity) XSLT transform

Copyright (C) Wolfgang Meier. All rights reserved.